using Microsoft.EntityFrameworkCore.Migrations;

namespace APT.Data.Migrations.Migrations
{
    public partial class hmr2026060901 : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "REMARK",
                table: "T_SK_SECURITY_INSPECTION_RECORD_SUMMARY_DETAIL",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "REMARK",
                table: "T_SK_SECURITY_INSPECTION_RECORD_DETAIL",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "REMARK",
                table: "T_SK_HIDDEN_DANGER_REPORT_DETAIL",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "REMARK",
                table: "T_SK_HIDDEN_DANGER_RECTIFY_NOTICE_DETAIL",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "REMARK",
                table: "T_SK_HIDDEN_DANGER_CONFIRM",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: true);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "REMARK",
                table: "T_SK_SECURITY_INSPECTION_RECORD_SUMMARY_DETAIL");

            migrationBuilder.DropColumn(
                name: "REMARK",
                table: "T_SK_SECURITY_INSPECTION_RECORD_DETAIL");

            migrationBuilder.DropColumn(
                name: "REMARK",
                table: "T_SK_HIDDEN_DANGER_REPORT_DETAIL");

            migrationBuilder.DropColumn(
                name: "REMARK",
                table: "T_SK_HIDDEN_DANGER_RECTIFY_NOTICE_DETAIL");

            migrationBuilder.DropColumn(
                name: "REMARK",
                table: "T_SK_HIDDEN_DANGER_CONFIRM");
        }
    }
}
